import java.util.*;
import java.io.*;

/**
 * Created by IntelliJ IDEA.
 * User: m09aya
 * Date: 07.10.2009
 * Time: 17:51:54
 * To change this template use File | Settings | File Templates.
 */
public class P {
    public static void main (String [] args) throws Exception {
        Scanner in = new Scanner (new File ("array.in"));
        PrintWriter out = new PrintWriter (new File ("array.out"));
        int n = in.nextInt();
        int [] vasya = new int [n];

          for (int i=0; i<n; i++){
              vasya [i] = in.nextInt();
          }
          for (int i=0; i<(n / 2); i++){
               out.print(vasya[i]+" "+vasya[n-1-i]+" " );
          }

         if (n%2==1) {out.print(vasya[n/2]);
         }
        in.close();
        out.close();
}
}